Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(50)

Issue 727003004: Add python coverage module to third_party (Closed)

Created:
5 years, 7 months ago by Sam Clegg
Modified:
5 years, 7 months ago
CC:
chromium-reviews, binji+watch_chromium.org, jshin+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Add python coverage module to third_party Also add a top level Makefile to native_client_sdk which excersises this. Add exception to checklicenses.py since upstream does not include license information in their source files. BUG=435348, 434551 Committed: https://crrev.com/0cec9d79bb20fa7706eed91c3671ac507ba375e7 Cr-Commit-Position: refs/heads/master@{#305439}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Total comments: 5

Patch Set 6 : #

Patch Set 7 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9520 lines, -5 lines) Patch
A native_client_sdk/src/.coveragerc View 1 chunk +2 lines, -0 lines 0 comments Download
M native_client_sdk/src/.gitignore View 1 chunk +2 lines, -2 lines 0 comments Download
A native_client_sdk/src/Makefile View 1 chunk +7 lines, -0 lines 0 comments Download
A third_party/pycoverage/AUTHORS.txt View 1 chunk +43 lines, -0 lines 0 comments Download
A third_party/pycoverage/CHANGES.txt View 1 chunk +1009 lines, -0 lines 0 comments Download
A third_party/pycoverage/LICENSE View 1 2 3 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/pycoverage/MANIFEST.in View 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/pycoverage/OWNERS View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/pycoverage/PKG-INFO View 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/pycoverage/README.chromium View 1 2 3 1 chunk +14 lines, -0 lines 0 comments Download
A third_party/pycoverage/README.txt View 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/pycoverage/__main__.py View 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/__init__.py View 1 chunk +120 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/__main__.py View 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/annotate.py View 1 chunk +102 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/backward.py View 1 chunk +184 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/bytecode.py View 1 chunk +75 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/cmdline.py View 1 chunk +744 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/codeunit.py View 1 chunk +145 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/collector.py View 1 chunk +353 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/config.py View 1 chunk +213 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/control.py View 1 chunk +779 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/data.py View 1 chunk +278 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/debug.py View 1 chunk +54 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/execfile.py View 1 chunk +171 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/files.py View 1 chunk +309 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/fullcoverage/encodings.py View 1 chunk +57 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/html.py View 1 chunk +396 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/coverage_html.js View 1 chunk +376 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/index.html View 1 chunk +104 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/jquery.hotkeys.js View 1 chunk +99 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/jquery.isonscreen.js View 1 chunk +53 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/jquery.min.js View 1 chunk +166 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/jquery.tablesorter.min.js View 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/keybd_closed.png View Binary file 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/keybd_open.png View Binary file 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/pyfile.html View 1 chunk +90 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/htmlfiles/style.css View 1 chunk +300 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/misc.py View 1 chunk +167 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/parser.py View 1 chunk +700 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/phystokens.py View 1 chunk +210 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/report.py View 1 chunk +92 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/results.py View 1 chunk +286 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/summary.py View 1 chunk +86 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/templite.py View 1 chunk +208 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/tracer.c View 1 chunk +730 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/version.py View 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/pycoverage/coverage/xmlreport.py View 1 chunk +155 lines, -0 lines 0 comments Download
A third_party/pycoverage/igor.py View 1 chunk +262 lines, -0 lines 0 comments Download
A third_party/pycoverage/requirements.txt View 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/pycoverage/setup.cfg View 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/pycoverage/setup.py View 1 chunk +202 lines, -0 lines 0 comments Download
A third_party/pycoverage/tox.ini View 1 chunk +32 lines, -0 lines 0 comments Download
M tools/checklicenses/checklicenses.py View 1 2 3 4 5 1 chunk +6 lines, -3 lines 0 comments Download

Messages

Total messages: 23 (5 generated)
Sam Clegg
Hey pawel. In its current state this CL is failing checklicenses.py because the individual files ...
5 years, 7 months ago (2014-11-15 00:37:20 UTC) #2
Paweł Hajdan Jr.
On 2014/11/15 00:37:20, Sam Clegg wrote: > Hey pawel. In its current state this CL ...
5 years, 7 months ago (2014-11-17 10:38:15 UTC) #3
Sam Clegg
On 2014/11/17 10:38:15, Paweł Hajdan Jr. wrote: > On 2014/11/15 00:37:20, Sam Clegg wrote: > ...
5 years, 7 months ago (2014-11-19 00:38:06 UTC) #4
Paweł Hajdan Jr.
https://codereview.chromium.org/727003004/diff/80001/tools/checklicenses/checklicenses.py File tools/checklicenses/checklicenses.py (right): https://codereview.chromium.org/727003004/diff/80001/tools/checklicenses/checklicenses.py#newcode302 tools/checklicenses/checklicenses.py:302: 'third_party/pycoverage': [ # http://crbug.com/434551 Please link directly to upstream ...
5 years, 7 months ago (2014-11-19 11:19:41 UTC) #5
Sam Clegg
https://codereview.chromium.org/727003004/diff/80001/tools/checklicenses/checklicenses.py File tools/checklicenses/checklicenses.py (right): https://codereview.chromium.org/727003004/diff/80001/tools/checklicenses/checklicenses.py#newcode302 tools/checklicenses/checklicenses.py:302: 'third_party/pycoverage': [ # http://crbug.com/434551 On 2014/11/19 11:19:40, Paweł Hajdan ...
5 years, 7 months ago (2014-11-19 18:49:55 UTC) #6
Paweł Hajdan Jr.
checklicenses change looks good. Please get OSPO and third_party OWNERS review. https://codereview.chromium.org/727003004/diff/80001/tools/checklicenses/checklicenses.py File tools/checklicenses/checklicenses.py (right): ...
5 years, 7 months ago (2014-11-20 10:19:59 UTC) #7
Sam Clegg
+cpu for third_party OWNERS
5 years, 7 months ago (2014-11-20 18:47:28 UTC) #9
cpu_(ooo_6.6-7.5)
Hi, please do 1- create (or mutate existing bug) that states you are adding a ...
5 years, 7 months ago (2014-11-20 22:37:51 UTC) #10
Sam Clegg
On 2014/11/20 22:37:51, cpu wrote: > Hi, please do > > 1- create (or mutate ...
5 years, 7 months ago (2014-11-20 23:27:20 UTC) #11
Sam Clegg
On 2014/11/20 23:27:20, Sam Clegg wrote: > On 2014/11/20 22:37:51, cpu wrote: > > Hi, ...
5 years, 7 months ago (2014-11-21 02:00:06 UTC) #12
cpu_(ooo_6.6-7.5)
lgtm
5 years, 7 months ago (2014-11-21 20:46:04 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/727003004/120001
5 years, 7 months ago (2014-11-21 21:10:14 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/25957)
5 years, 7 months ago (2014-11-21 21:16:34 UTC) #17
Sam Clegg
On 2014/11/20 10:19:59, Paweł Hajdan Jr. wrote: > checklicenses change looks good. Please get OSPO ...
5 years, 7 months ago (2014-11-21 21:58:56 UTC) #18
Paweł Hajdan Jr.
checklicenses LGTM
5 years, 7 months ago (2014-11-24 15:25:01 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/727003004/120001
5 years, 7 months ago (2014-11-24 17:22:38 UTC) #21
commit-bot: I haz the power
Committed patchset #7 (id:120001)
5 years, 7 months ago (2014-11-24 17:25:41 UTC) #22
commit-bot: I haz the power
5 years, 7 months ago (2014-11-24 17:26:26 UTC) #23
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/0cec9d79bb20fa7706eed91c3671ac507ba375e7
Cr-Commit-Position: refs/heads/master@{#305439}

Powered by Google App Engine
This is Rietveld 408576698